#include "types/CollectionDesc.h"

namespace VectorDB {

const CollectionSchema& CollectionDesc::Schema() const { return schema_; }

void CollectionDesc::SetSchema(const CollectionSchema& schema) { schema_ = schema; }

void CollectionDesc::SetSchema(CollectionSchema&& schema) { schema_ = std::move(schema); }

int64_t CollectionDesc::ID() const { return collection_id_; }

void CollectionDesc::SetID(int64_t id) { collection_id_ = id; }

const std::vector<std::string>& CollectionDesc::Alias() const { return alias_; }

void CollectionDesc::SetAlias(const std::vector<std::string>& alias) { alias_ = alias; }

void CollectionDesc::SetAlias(std::vector<std::string>&& alias) { alias_ = std::move(alias); }

uint64_t CollectionDesc::CreatedTime() const { return created_utc_timestamp_; }

void CollectionDesc::SetCreatedTime(uint64_t ts) { created_utc_timestamp_ = ts; }

}  // namespace VectorDB
