#include "types/IDArray.h"

namespace VectorDB {

IDArray::IDArray(const std::vector<int64_t>& id_array) : int_id_array_(id_array) {}

IDArray::IDArray(std::vector<int64_t>&& id_array) : int_id_array_(std::move(id_array)) {}

IDArray::IDArray(const std::vector<std::string>& id_array) : str_id_array_(id_array), is_int_array_{false} {}

IDArray::IDArray(std::vector<std::string>&& id_array) : str_id_array_(std::move(id_array)), is_int_array_{false} {}

bool IDArray::IsIntegerID() const { return is_int_array_; }

const std::vector<int64_t>& IDArray::IntIDArray() const { return int_id_array_; }

const std::vector<std::string>& IDArray::StrIDArray() const { return str_id_array_; }

}  // namespace VectorDB
