#include "types/QueryResults.h"

namespace VectorDB {

QueryResults::QueryResults() = default;

QueryResults::QueryResults(const std::vector<FieldDataPtr>& output_fields) { output_fields_ = output_fields; }

QueryResults::QueryResults(std::vector<FieldDataPtr>&& output_fields) { output_fields_ = std::move(output_fields); }

FieldDataPtr QueryResults::GetFieldByName(const std::string& name) {
    for (FieldDataPtr& field : output_fields_) {
        if (nullptr == field) {
            continue;
        }

        if (field->Name() == name) {
            return field;
        }
    }

    return nullptr;
}

const std::vector<FieldDataPtr>& QueryResults::OutputFields() const { return output_fields_; }

}  // namespace VectorDB
