#include "types/Status.h"

namespace VectorDB {

Status::Status(StatusCode code, std::string msg) : code_(code), msg_(std::move(msg)) {}

Status::Status() = default;

Status Status::OK() { return {}; }

bool Status::IsOk() const { return code_ == StatusCode::OK; }

StatusCode Status::Code() const { return code_; }

const std::string& Status::Message() const { return msg_; }

}  // namespace VectorDB
